# Appearance Plus(+) - Custom Textures, Sliders & Jiggle
Made in Collaboration with @registeredgooner_84207

If you'd like to [Donate](https://www.paypal.com/donate/?hosted_button_id=DB8HG8LBPWDKS), I've quit my job due to health reason and spend a lot of my own time developing this mod. I'd be immensely grateful for any donation but please only do so if you can and want to.

FOR MOD SUPPORT (Feature Request & Bugs): I'm most active in the [18+ Atlyss](https://discord.com/channels/1287545280824217650/1312157789488943245) Community in [this](https://discord.com/channels/1287545280824217650/1311752210853527692) dedicated post.

Currently, this plugin allows you to:
- **Swap Textures for the Player, NPCs & Enemies!** (including Eyes & Mouths). (Put textures in CustomTextures folder)
- **Configure the range of sliders** for each race, **max AND min** to uncap the model proportions. (Edit or swap the AppearancePlus_Config.txt in the plugin's folder)
- **Size & Sliders working in multiplayer!** As long as you have the mod, you should see your friend's sliders properly.
- **Configure the dynamic bones** for each part of the player model (ear, tail, chest etc...) through a text file. (Edit the AppearancePlus_Config.txt in the plugin's folder)
- **Reload config & textures in game** with chat commands. (Use /reload sliders /reload dbones & /reload textures)
- **Edits with chat commands** like /size <value> or /zoom <value>.
- **In-game console** to see errors straight away. (Can be disabled)
- **Uncapped zoom** with a new property in config.

- ***Next Up:*** Emotes!!! (Tech is already there, just need to verify network syncing)

> *This plugin aims to become a general purpose player modification tool so please do request features.*

Most of the usage is described in ***"AppearancePlus_Config.txt"***  
This config file contains ***DEFAULT VALUES***. Remember to copy-paste the values from one of the included presets or edit them yourself.
## Install:
[Requirement] BepInEx: [Latest Official](https://github.com/BepInEx/BepInEx/releases/tag/v5.4.23.2) - [Thunderstore Version](https://thunderstore.io/c/atlyss/p/BepInEx/BepInExPack/)
- Ideally install through r2modman or ~~Thunderstore~~ for automated installation.
- **Currently:** Only a fork of r2modman has the Atlyss community. The fork I'm aware of is posted in [this server](https://discord.gg/cT8csRA4) (**18+**) [here](https://discord.com/channels/1287545280824217650/1312157789488943245).


- If you are installing MANUALLY, and you don't have BepInEx installed yet:
  - Extract the archive into a folder. **Do not extract into the game folder.**
  - Move the contents of  ``BepInEx`` or ``BepInExPack`` folder (depending on which version you downloaded) into the game folder (where the game executable is located).
  - Run the game. To make sure that BepInEx was installed correctly, you can activate its console in ATLYSS/BepInEx/config/BepInEx.cfg. Under [Logging.Console], change Enabled=false to true.


- **Unzip** the Mod inside ATLYSS/BepInEx/plugins
- Make a folder for the mod if it doesn't have one. Ideally name it AppearancePlus
- Make sure your **AppearancePlus_Config.txt** file & **CustomTextures** directory are **directly next to the plugin:** AppearancePlus.dll.
## Notes:
- You *can* host multiplayer lobbies, though sometimes the game disallows modded versions. Here's a [mod](https://discord.com/channels/1247329379646705734/1311684433207889931)([Atlyss Server](https://discord.gg/atlyss)) to circumvent that. 
- /help : Get a rundown of every implemented commands.
- /reload dbdones : Refreshes all Dynamic Bones present with the values in your config.
- /reload sliders : Refreshes all the sliders min & max values with the values in your config.
- /reload textures : Reloads the textures inside CustomTextures & refreshes players & npc textures.
- /print dbones : Print all the current dbones values in chatbox.
- /zoom <value> : Change the maximum (de)zoom value.
- /<enable/disable> console : Unable/Disables A+ ingame console
- ... & more!

- For **Texture Swapping**: You need to place the files in a CustomTextures folder inside the plugin's folder. Make sure the files have the exact same as they're named in-game or in resources.asset(Use Unity Asset Bundle Editor to view).
- If you change slider ranges, ***make sure that you have Limit Proportions OFF*** in your settings.
- ***Feel free to share presets*** for the AppearancePlus_Config.txt. More properties are being added and can be fine tweaked. You could for example post a snippet with **Extra Bouncy** or, **Hyper Sliders**
- When modifying the file, make sure to follow the rules indicated inside the text file.